Subject: RE: [Ipsec] Asymmetric Security

From: [email-masked]
Date: Tue, 15 Feb 2005 09:12:50 -0500

Hi Steve,

Some comments/clarifications inline.

Best,
Atul

> -----Original Message-----
> From: ext Stephen Kent [mailto:[email-masked]]
> Sent: Tuesday, February 15, 2005 12:05 AM
> To: Sharma Atul (Nokia-ES/Boston)
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Ipsec] Asymmetric Security
> 
> 
> At 10:30 AM -0500 2/11/05, [email-masked] wrote:
> >Hi All,
> >
> >I wanted to start a discussion on Asymmetric Security.
> >
> >Asymmetry can show up in different ways in a secure 
> transmission. For example:
> >	* we can have asymmetry in the gateways involved in secure 
> >transmission.
> >	* we can have asymmetry in the tunnels between two 
> possible multihomed
> >	  gateways
> >	* we can have asymmetry in the tunnel endpoints of the a tunnel
> >
> >
> >(1) Asymmetry in Gateways:
> >Let us say there are three gateways A, B, C. In the forward 
> >direction secure traffic
> >flows from Gateway A to Gateway B. In the reverse direction 
> traffic flows from
> >Gateway C to Gateway A.  A Mobile IP End-to-End Security between a
> >correspondent node and a mobile node will be an example 
> scenario here.
> >IKE negotiations between A and B can setup a tunnel and IKE 
> negotiations
> >between C and A can set up the tunnels. Both the tunnels shall still 
> >protect the
> >same hosts/addresses. [Since IKE negotiations do not allow 
> asymmetry we will
> >have to have two separate IKE negotiations]
> 
> so, what's the problem? you have separate SAs because you have 
> different endpoints. we decided long ago to create SAs in pairs. are 
> you concerned that the state maintained for the unused SAs is a 
> unacceptable burden?

Only that there is no unused SAs or rather no unused SA pairs. There will
be two SA pairs negotiated each with different tunnel endpoints. In the
first SA pair only the forward SA will be used, in the second SA pair only
the reverse SA will be used. Is something like this already allowed?

One SA in each pair shall be unused, which need not even be maintained.

A related question: Do we allow IKE negotiations to be asymmetric, i.e. IKE
message goes to an address, but the response comes back from a different
address?

> >(2) Asymmetry in Tunnels:
> >Let us say there are two multihomed Gateways. These gateways 
> negotiate TWO
> >tunnels, each with different tunnel endpoints (corresponding to 
> >multihomed addresses).
> >But both the tunnels still protecting the same hosts/addresses. This 
> >can be a real
> >life scenario to acheive redundancy/high availability
> 
> again, what is the problem here?

Allowing two tunnels protecting the same addresses/hosts, but with differnt
tunnel endpoints. Is this something allowed now?

_______________________________________________
Ipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipsec

---

From: Stephen Kent <[email-masked]>
Date: Tue, 15 Feb 2005 10:51:10 -0500

Atul,

>the reverse SA will be used. Is something like this already allowed?

It is allowed, and the only possible problem I might see is if DPD 
mechanisms were confused by the lack of traffic one one of the SAs in 
each peer.

>One SA in each pair shall be unused, which need not even be maintained.

true in principle, but unless an implementation suffers from 
maintaining this extraneous state, it's not a big deal.

>message goes to an address, but the response comes back from a different

That's an IKE question, ask Charlie.

>tunnel endpoints. Is this something allowed now?

I think the right question  here is how one would cause these 
different tunnels to be created in the first place. 2401bis is not 
explicit about how one determines the address for an SG, given the 
address of a host behind the SG. We note that this is a problem for 
which we do not have general answers. The new text on the PAD does 
address this a bit, but it is not comprehensive. My guess is that 
this is usually manually con figured into an implementation. In your 
case the question is whether an implementation allows for multiple SG 
addresses, and whether it causes a tunnel to be created to each of 
them when an SPD entry triggers SA creation. Currently this is 
largely outside the scope of 2401bis, i.e., it is up to vendors. One 
could add a sentence to the PAD text to say that support for creation 
of more than one tunnel mode SA at a time is OK (i.e., a MAY) just to 
clarify the issue.

Steve

---

From: "Srinivasa Rao Addepalli" <[email-masked]>
Date: Tue, 15 Feb 2005 19:54:52 -0800

Hi Atul,

SRINI> This scenario happens even in cases where each peer having only one
IP address. Think of a scenario, where both parties re-key IPsec (phase2)
keys at the same time. So, IMO the scenario you described would work with
existing implementations.

SRINI> In my view, this may not be problem with IKE implementations. But, we
observed this problem, when there is symmetric firewall in between IKE
peers. It is a good practice that IKE implementations send the
reverse/response IKE packets with source IP address as the landed IP address
of the received IKE packet. So, I consider the problem you indicated is more
of implementation problem than the specification limitation.

SRINI> Yes, specifications don't prohibit this behavior. It is already put
to use, in implementations, to achieve load sharing of the data across
multiple SAs to pass secured traffic through multiple WAN links.

_______________________________________________
Mobike mailing list
[email-masked]
https://www.machshav.com/mailman/listinfo.cgi/mobike